PingAuthorize API Reference

Create Child Branch From Snapshot

POST {{apiPath}}/version-control/snapshots/{{snapshotId}}/branch

The POST /version-control/snapshots/{{snapshotId}}/branch operation creates a new child branch. The child branch is forked from the snapshot specified by the ID in the request URL.

Request Model

For property descriptions, refer to Snapshot manager data model

Property Type? Required?

name

String

Required

Headers

Content-Type      application/json

x-user-id      {{userId}}

Body

raw ( application/json )

{
    "name": "example-branch"
}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch' \
--header 'x-user-id: {{userId}}' \
--header 'Content-Type: application/json' \
--data '{
    "name": "example-branch"
}'
var options = new RestClientOptions("{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("x-user-id", "{{userId}}");
request.AddHeader("Content-Type", "application/json");
var body = @"{" + "\n" +
@"    ""name"": ""example-branch""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch"
  method := "POST"

  payload := strings.NewReader(`{
    "name": "example-branch"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")
  req.Header.Add("Content-Type", "application/json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
POST /version-control/snapshots/{{snapshotId}}/branch HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
Content-Type: application/json

{
    "name": "example-branch"
}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"name\": \"example-branch\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch")
  .method("POST", body)
  .addHeader("x-user-id", "{{userId}}")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}",
    "Content-Type": "application/json"
  },
  "data": JSON.stringify({
    "name": "example-branch"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch',
  'headers': {
    'x-user-id': '{{userId}}',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "name": "example-branch"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests
import json

url = "{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch"

payload = json.dumps({
  "name": "example-branch"
})
headers = {
  'x-user-id': '{{userId}}',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}',
  'Content-Type' => 'application/json'
));
$request->setBody('{\n    "name": "example-branch"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["x-user-id"] = "{{userId}}"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
  "name": "example-branch"
})

response = http.request(request)
puts response.read_body
let parameters = "{\n    \"name\": \"example-branch\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/version-control/snapshots/{{snapshotId}}/branch")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")
request.addValue("application/json", forHTTPHeaderField: "Content-Type")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

201 Created

{
    "id": "bc61eedf-a9c1-4aae-b35f-7df637c403ed",
    "name": "example-branch",
    "head": "5c400c4e-ac2b-4e08-8f28-d9a25c5f037e",
    "tip": {
        "id": "1057e1ea-7da6-419e-b676-9a9ff2f45d5c",
        "parentId": "5c400c4e-ac2b-4e08-8f28-d9a25c5f037e",
        "state": "UNCOMMITTED",
        "commitDetails": {
            "userId": null,
            "dateTime": null,
            "message": null
        },
        "approvals": [],
        "branchId": "bc61eedf-a9c1-4aae-b35f-7df637c403ed"
    },
    "parentId": "9df2835b-cbbb-4ef9-a20e-ab63c0b6da67"
}